#!/bin/bash
# echo "0=$0 1=$1 2=$2"
# command line option processing for standard command line options:
#   --version
# and
#   --iam=username

# normally '.'ed into a parent script, but may be invoked directly to get versioni info
if [ `basename $0` = ga_options.sh ]
then
    # use MY version info
    SVNREV='$Revision: 572601 $'
    SVNURL='$URL: http://subversion.mmu.acquiremedia.com/svn/amc/msrc/bin/ga_options/tags/ga_options-RelS9.2-3/src/ga_options.sh $'
    SVNDATE='$Date: 2013-05-16 15:07:05 -0400 (Thu, 16 May 2013) $'
fi

###########################################################################
# if --version is set, print the standard values and exit
# Usage:  the following MUST be set with SVN keywords by the caller (see above):
#SVNREV='$ Revision $'
#SVNURL='$ URL $'  (except NO SPACES)
#SVNDATE='$ Date $'
# . /nwsys/release/bin/ga_options.sh

if [ "$1" = "--version" ]
then
    cat <<EOF
Build SVN Rev: $SVNREV
Build SVN URL: $SVNURL
Build SVN Tag: n/a
Build Date:    $SVNDATE
Build System:  n/a
EOF
exit 0
fi

# set iam from: command line (--iam=name), environment, [or `who am i` - deprecated]
# note this CANNOT be a function because it manipulates $*

tmp_iam=`expr "$1" : '--iam=\(.*\)'`
if [ -n "$tmp_iam" ]
then
    # 1st choice: --iam on command line
    iam=$tmp_iam
    shift
else
    # 2nd choice - existing env setting
    : nothing to do
fi
export iam  # to sub-shells
