#ifndef OPEN_TTY_H
#define OPEN_TTY_H

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <termios.h>

typedef struct {
    int baud;		/* as defined in termio.h */
    int parity;
    int size;		/* size (5, 6, 7, 8) */
    int stopb;		/* stop bits (1, 2) */
} LINE_SETTINGS;

int open_tty (char *ttydev, LINE_SETTINGS *line, cc_t vmin, cc_t vtime, int oflag);
int set_tty (int fd, LINE_SETTINGS *line, cc_t vmin, cc_t vtime);
int fill_line_settings (LINE_SETTINGS *line, char *buf);

#endif
