#ifndef WNDP_H
#define WNDP_H

#ifdef	__cplusplus
extern "C" {
#endif

/* Maximum number of files that will be included in a single packing slip. */
#define WNDP_MAX_FILES 16

/* Maximum length of each filename in a packing slip. */
#define WNDP_FILENAME_LEN 255

/* WNDP_LINE_MAX must accomodate a long list of long file names. Length
includes room for WNDP_MAX_FILES of <filename>/<filesize>, allowing
9 characters for file size. +1 in following is in case any files get
really large and we need a little extra room. */
#define WNDP_LINE_MAX ((WNDP_MAX_FILES + 1) * (WNDP_FILENAME_LEN + 10))

/* Directories used by interceiver for AMPS data destined for wndp. */
#define WNDP_ROOT_DIR "/nwsys/wndp"
#define WNDP_RAW_DIR WNDP_ROOT_DIR "/raw"
#define WNDP_TOUCH_DIR WNDP_ROOT_DIR "/touchfile"
#define WNDP_RLS_DIR WNDP_ROOT_DIR "/rls"
#define WNDP_HLD_DIR WNDP_ROOT_DIR "/hld"
#define WNDP_TMP_DIR WNDP_ROOT_DIR "/.tmp"

/* FIFO for use by depositers of XML data. */
#define WNDP_FIFO "/nwsys/release/tmp/wndpfifo"

#ifdef	__cplusplus
}
#endif

#endif		/* WNDP_H */
