#ifndef WAVOPRIV_H
#define WAVOPRIV_H

#include "xmlparse.h"

#ifdef	__cplusplus
extern "C" {
#endif

typedef enum {
	WP_UNKNOWN_TAG = 0,
	WP_PUBLISH_REASON_TAG,
	WP_PROVIDER_TAG,
	WP_SERVICE_TAG,
	WP_SOURCE_NAME_TAG,
	WP_SOURCE_CODE_TAG,
	WP_OSOURCE_CODE_TAG,
	WP_OSERVICE_TAG,
	WP_DISPLAY_DATE_TAG,
	WP_DISPLAY_TIME_TAG,
	WP_STORY_DATE_TAG,
	WP_STORY_TIME_TAG,
	WP_UNIQUE_ID_TAG,
	WP_SLUG_TAG,
	WP_SYMBOLS_TAG,
	WP_CODES_TAG,
	WP_ALERT_TAG,
	WP_TEMPORARY_TAG,
	WP_HEADLINE_ONLY_TAG,
	WP_TITLE_TAG,
	WP_PARENT_TAG,
	WP_HEADLINE_TAG,
	WP_DECKLINE_TAG,
	WP_COPYRIGHT_TAG,
	WP_BODY_TAG
} WAVO_PRIVATE_TAG;

typedef struct {
	char *publish_reason;
	char *provider;
	char *service;
	char *source_name;
	char *source_code;
	char *osource_code;
	char *oservice;
	char *display_date;
	char *display_time;
	char *story_date;
	char *story_time;
	char *unique_id;
	char *slug;
	XN_ELEMENT symbols;
	XN_ELEMENT codes;
	int alert;
	int temporary;
	int headline_only;
	char *title;
	char *parent;
	char *headline;
	char *deckline;
	char *copyright;
	char *body;
	XN_ELEMENT misctags;	/* Miscellaneous tags, not otherwise returned. */
} WAVO_PRIVATE;

/* rxg -- is 50 big enuf -- make match name in other headers in this dir. */
typedef struct {
	WAVO_PRIVATE_TAG tag;
	char tag_name[50];
	char *tmpstr;
	int tlen;
	int curr_len;
} WAVO_PRIVATE_LEVEL_INFO;

typedef struct {
	int symbols;
	int codes;
	int misctags;
} WPUD_ALLOCS;

typedef struct {
	WAVO_PRIVATE wp;
	char filename[512];
	WAVO_PRIVATE_LEVEL_INFO x[MAX_XMLPARSE_LEVELS];
	int level;
	WPUD_ALLOCS n;
} WAVO_PRIVATE_USER_DATA;


int wavo_private_parse_r (WAVO_PRIVATE_USER_DATA *wpud,
							XML_Parser *parser, char *filename,
							char *save_filename, char *buf,
							long buflen, int is_final_data, int warn);

WAVO_PRIVATE *wavo_private_parse (char *filename, char *buf, long buflen,
									int is_final_data, int warn);


#ifdef	__cplusplus
}
#endif

#endif	/* WAVOPRIV_H */
