#ifndef XMLNEWS_STORY_H
#define XMLNEWS_STORY_H

#ifdef	__cplusplus
extern "C" {
#endif


#include "xmlparse/xmlnews_story_tags.h"
#ifdef NOWAVO
  #include "expat.h"
#else
  #include "expat/expat.h"
#endif


#ifdef rxg_do_later
typedef struct {
	char *caption;
	char *producer;
} XMLNEWS_STORY_AUDIO;
#endif

/* rxg -- add things like XMLNEWS_STORY_AUDIO audio; (see xmlnews.org) later */

typedef struct {
	char *title;			/* A short headline for display purposes. */
	char *bytag;
	char *location;			/* Part of dateline. */
	char *story_date;		/* Part of dateline. */
	char *content;			/* body.content */
	char *end;				/* body.end */
	XN_ELEMENT hedline;		/* List of headlines -- hl1 and hl2 tags. */
	XN_ELEMENT misctags;	/* Miscellaneous tags, not otherwise returned. */
} XMLNEWS_STORY;


/* rxg -- is 50 big enuf -- make match name in xmlnews_story_tags.h */
typedef struct {
	XMLNEWS_STORY_TAG tag;
	char tag_name[50];
	char *tmpstr;
	int tlen;
	int curr_len;
} STORY_LEVEL_INFO;

typedef struct {
	int hedline;
	int misctags;
} SUD_ALLOCS;

typedef struct {
	XMLNEWS_STORY xmlnews_story;
	char filename[512];
	STORY_LEVEL_INFO x[MAX_XMLPARSE_LEVELS];
	int level;
	SUD_ALLOCS n;
} STORY_USER_DATA;


int xmlnews_parse_story_r (STORY_USER_DATA *sud, XML_Parser *parser,
							char *filename, char *save_filename, char *buf,
							long buflen, int is_final_data);
void setLogXMLParserErrors(int logParserErrors);
XMLNEWS_STORY *xmlnews_parse_story (char *filename, char *buf, long buflen,
									int is_final_data);

#ifdef	__cplusplus
}
#endif

#endif /** XMLNEWS_STORY_H **/
