#ifndef QP_UTIL_H
#define QP_UTIL_H

#include "slam.h"
#include "xmlparse/xmlnews.h"


typedef struct {
	char tag[100];
	char special;
} VENDOR_DATA_ITEM;

extern VENDOR_DATA_ITEM *VendorData;
extern int DisplaySynopsis, SynopsisLen, MaxHeadlineSymbols, StoryLeadForSynopsis,
            UnicodeSupport, IncludeHeadlineAcorns, IncludeHeadlineApins, IncludeRefSlug,
            TruncateHeadlines;
extern char ExcludeHeadlineTags[], IncludeHeadlineTags[], US_Exchanges[];

#define DEFAULT_US_EXCHANGES ";AMEX;Bloomberg;Boston;CBOE;CBOT;CEC;Cincinnati;CMER;Coffee;COMEX;Composite;Currencies;DomesticIndex;EASDAQ;KBOT;MACE;Midwest;MinnGrainEx;NASDAQ-INTL;NASDAQ-MF;NASDAQ-NMS;NASDAQ-OTCBB;NASDAQ-SMALL;NYCOTCIT;NYFE;NYMEX;NYSEArca;NYSE;OTC-PINK;OTC-QB;OTC-QX;OtherOTC;PCX;PhilBOT;PHLX;"

void setup_create_headline_cfg (void);
char *create_headline (char *rid, char *rdfbuf, char *xmlbuf, SLAM_SLOT *slam_slot);
VENDOR_DATA_ITEM *find_vendor_data_tag (char *tag);

char *build_buffer_for_QP (char *rid, char *xmlbuf, int xlen, char *rdfbuf,
                            int rlen, int is_delete, char *outbuf, char *outend,
                            int *outlen);
char *remove_cogent_markup (char *text);
char *build_conf_for_QP (void);
char *xn_get_term_file (char *rid, char *xml_root_dir, int use_rdf, int nap_time,
                        int *outlen);

#endif	/* QP_UTIL_H */
